diff -r 7270e621a181 code/ryzom/client/src/connection.cpp
--- a/code/ryzom/client/src/connection.cpp	Sun Aug 14 20:28:16 2011 +0200
+++ b/code/ryzom/client/src/connection.cpp	Mon Aug 22 09:09:09 2011 +0300
@@ -216,7 +216,7 @@
 
 	// And setup hardware mouse if we have to
 	InitMouseWithCursor (ClientCfg.HardwareCursor);
-	SetMouseFreeLook ();
+	//SetMouseFreeLook ();
 	SetMouseCursor ();
 	SetMouseSpeed (ClientCfg.CursorSpeed);
 	SetMouseAcceleration (ClientCfg.CursorAcceleration);
diff -r 7270e621a181 code/ryzom/client/src/input.cpp
--- a/code/ryzom/client/src/input.cpp	Sun Aug 14 20:28:16 2011 +0200
+++ b/code/ryzom/client/src/input.cpp	Mon Aug 22 09:09:09 2011 +0300
@@ -109,7 +109,7 @@
 		}
 
 		// Update mouse information
-		UpdateMouse ();
+		//UpdateMouse ();
 
 		if (InitMouseFirstTime)
 		{
@@ -136,7 +136,7 @@
 						}
 						else
 						{
-							Driver->setMousePos(x, y);
+							//Driver->setMousePos(x, y);
 							nlwarning("mouse pos %f,%f", x, y);
 						}
 
@@ -163,7 +163,7 @@
 							uint height = Driver->getWindowHeight();
 							if (width != 0 && height != 0)
 							{
-								Driver->setMousePos(x / width, y / height);
+								//Driver->setMousePos(x / width, y / height);
 							}
 						}
 					}
@@ -198,6 +198,7 @@
 		else
 		{
 			// no mouse device implementation on X11 and Cocoa, emulate raw mode
+			nlwarning("UpdateMouse::MouseFreeLook");
 			Driver->emulateMouseRawMode(true);
 		}
 	}
@@ -306,12 +307,12 @@
 			}
 			else
 			{
-				Driver->setMousePos(x, y);
+				//Driver->setMousePos(x, y);
 			}
 
 			if (MouseHardware)
 			{
-				Driver->setMousePos(x, y);
+				//Driver->setMousePos(x, y);
 			}
 		}
 
diff -r 7270e621a181 code/ryzom/client/src/login.cpp
--- a/code/ryzom/client/src/login.cpp	Sun Aug 14 20:28:16 2011 +0200
+++ b/code/ryzom/client/src/login.cpp	Mon Aug 22 09:09:09 2011 +0300
@@ -814,7 +814,7 @@
 	ClientCfg.DisableDirectInput = true;
 	InitMouseWithCursor(false);
 	Driver->showCursor (false);
-	SetMouseFreeLook ();
+	//SetMouseFreeLook ();
 	SetMouseCursor (false);
 	SetMouseSpeed (ClientCfg.CursorSpeed);
 	SetMouseAcceleration (ClientCfg.CursorAcceleration);
diff -r 7270e621a181 code/ryzom/client/src/main_loop.cpp
--- a/code/ryzom/client/src/main_loop.cpp	Sun Aug 14 20:28:16 2011 +0200
+++ b/code/ryzom/client/src/main_loop.cpp	Mon Aug 22 09:09:09 2011 +0300
@@ -1460,7 +1460,7 @@
 
 	updateLightDesc();
 
-	SetMouseFreeLook ();
+	//SetMouseFreeLook ();
 	SetMouseCursor ();
 	// Set the cursor.
 	ContextCur.context("STAND BY");
@@ -2917,7 +2917,7 @@
 				T1		= ryzomGetLocalTime();
 				TSend	= ((T1+DTSend)/DTSend)*DTSend;
 
-				SetMouseFreeLook ();
+				//SetMouseFreeLook ();
 				SetMouseCursor ();
 				// Set the cursor.
 				ContextCur.context("STAND BY");
